package com.liang.entity;

import java.io.Serializable;
import java.sql.Date;

/**
 * 项目外委合同支付(staOutPay)实体类
 */
public class StaOutPay implements Serializable {
    private static final long serialVersionUID = -38899931520398267L;

    private Integer id;
    /**
     * 项目编号
     */
    private Integer zb;
    private String yqcg;//预期成果
    private Date qsrq;//起始日期
    private Date jsrq;//结束日期
    private String wtdwbm;//委托单位编码
    private String wtdwmc;//委托单位名称
    private Double htbzh;//合同报账成本（含税）
    private Double htbzbh;//合同报账成本（不含税）
    private Double zccb;//支出成本
    private Double zbzc;//资本支出(形成的仪器与设备资产原值本年累计数)
    private Double zbh;//资本支出（含税）
    private Double zbbh;//资本支出（不含税）

    public Double getHtbzh() {
        return htbzh;
    }

    public void setHtbzh(Double htbzh) {
        this.htbzh = htbzh;
    }

    public Double getHtbzbh() {
        return htbzbh;
    }

    public void setHtbzbh(Double htbzbh) {
        this.htbzbh = htbzbh;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getZb() {
        return zb;
    }

    public void setZb(Integer zb) {
        this.zb = zb;
    }

    public String getYqcg() {
        return yqcg;
    }

    public void setYqcg(String yqcg) {
        this.yqcg = yqcg;
    }

    public Date getQsrq() {
        return qsrq;
    }

    public void setQsrq(Date qsrq) {
        this.qsrq = qsrq;
    }

    public Date getJsrq() {
        return jsrq;
    }

    public void setJsrq(Date jsrq) {
        this.jsrq = jsrq;
    }

    public String getWtdwbm() {
        return wtdwbm;
    }

    public void setWtdwbm(String wtdwbm) {
        this.wtdwbm = wtdwbm;
    }

    public String getWtdwmc() {
        return wtdwmc;
    }

    public void setWtdwmc(String wtdwmc) {
        this.wtdwmc = wtdwmc;
    }

    public Double getZccb() {
        return zccb;
    }

    public void setZccb(Double zccb) {
        this.zccb = zccb;
    }

    public Double getZbzc() {
        return zbzc;
    }

    public void setZbzc(Double zbzc) {
        this.zbzc = zbzc;
    }

    public Double getZbh() {
        return zbh;
    }

    public void setZbh(Double zbh) {
        this.zbh = zbh;
    }

    public Double getZbbh() {
        return zbbh;
    }

    public void setZbbh(Double zbbh) {
        this.zbbh = zbbh;
    }

    public StaOutPay() {
    }

    public StaOutPay(Integer id, Integer zb, String yqcg, Date qsrq, Date jsrq, String wtdwbm, String wtdwmc, Double htbzh, Double htbzbh, Double zccb, Double zbzc, Double zbh, Double zbbh) {
        this.id = id;
        this.zb = zb;
        this.yqcg = yqcg;
        this.qsrq = qsrq;
        this.jsrq = jsrq;
        this.wtdwbm = wtdwbm;
        this.wtdwmc = wtdwmc;
        this.htbzh = htbzh;
        this.htbzbh = htbzbh;
        this.zccb = zccb;
        this.zbzc = zbzc;
        this.zbh = zbh;
        this.zbbh = zbbh;
    }
}
